Help with MSI (Microsoft Installer) error 1931: The Windows Installer service cannot update the system file [2] because the file is protected by Windows. You may need to update your operating system for this program to work correctly. Package version: [3], OS Protected version: [4].
0 Comments   [ + ] Show Comments


Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.


In the above error, [2] is replaced by the path to the file, [3] and [4] are replaced by information pertaining to the system.
Authoring the package? Consider PackageCleaner as a tool to help you avoid including these files. Such files may be updated only by Service Packs, HotFixes, or Upgrades. Further, some Windows Merge Modules may update these files.
Trying to install a program? Make sure you have the latest Service Pack installed for your version of Windows. Other software to update (depending upon the software in question) includes Internet Explorer and Media Player.
Answered 04/30/2004 by:
Red Belt

Please log in to comment
Answer this question or Comment on this question for clarity